# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Email object is the value object which contains the properties of Email.
#
#

module App42
  module Email
    class Email < App42Response
      attr_accessor :from, :to, :subject, :body, :configList
      @from
      @to
      @subject
      @body
      @configList = Array.new()
    end

    class Configuration
      attr_accessor :emailId, :host, :port, :ssl
      @emailId
      @host
      @port
      @ssl
      #
      # This is a constructor that takes no parameter
      #
      #
      def initialize(email)
        email.configList.push(self)
      end

      #
      # Returns the Cart Response in JSON format.
      #
      # @return the response in JSON format.
      #
      #

      def to_s
        return "Email : #{@emailId}" + "Host : #{@host}" + "port : #{@port}" + "ssl : #{@ssl}";
      end

    end
  end
end
