# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Game object is the value object which contains the properties of Game.
#
#

module App42
  module Game
    class Game < App42Response
      attr_accessor :name, :scoreList

      @name
      @scoreList = Array.new
    end

    class Score
      attr_accessor :userName, :rank, :value, :createdOn

      @userName
      @rank
      @value
      @createdOn

      #
      # This is a constructor that takes no parameter
      #
      def initialize(game)
        game.scoreList.push(self)
      end

    end
  end
end
