# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Log object is the value object which contains the properties of Log.
#
#

module App42
  module Log
    class Log < App42Response
      attr_accessor  :messageList
      @messageList = Array.new
    end

    class  Message
      attr_accessor  :message,:type,:logTime,:module

      #
      # This is a constructor that takes no parameter
      #
      #
      def initialize(log)
        log.messageList.push(self);
      end

      #
      # Returns the Log Response in JSON format.
      #
      # @return the response in JSON format.
      #
      #

      def to_s
        return "Message : #{self.message}" + "type : #{self.type}" + "AppModule : #{self.module}" + "logTime : #{self.logTime}";
      end

      @message
      @type
      @logTime
      @module

    end
  end
end