require 'App42Response.rb'

module App42
  module AppTab
    #
    # An enum that contains the months to be mentioned in the Bill.
    #
    class BillMonth < App42Response
      unless (const_defined?(:JANUARY))
        JANUARY = "JANUARY"
      end
      unless (const_defined?(:FEBRURAY))
        FEBRURAY = "FEBRURAY"
      end
      unless (const_defined?(:MARCH))
        MARCH = "MARCH"
      end
      unless (const_defined?(:APRIL))
        APRIL = "APRIL"
      end
      unless (const_defined?(:MAY))
        MAY = "MAY"
      end
      unless (const_defined?(:JUNE))
        JUNE = "JUNE"
      end
      unless (const_defined?(:JULY))
        JULY = "JULY"
      end
      unless (const_defined?(:AUGUST))
        AUGUST = "AUGUST"
      end
      unless (const_defined?(:SEPTEMBER))
        SEPTEMBER = "SEPTEMBER"
      end
      unless (const_defined?(:OCTOBER))
        OCTOBER = "OCTOBER"
      end
      unless (const_defined?(:NOVEMBER))
        NOVEMBER = "NOVEMBER"
      end
      unless (const_defined?(:DECEMBER))
        DECEMBER = "DECEMBER"
      end

      #
      # Sets the value of the BillMonth.
      #
      # @param string
      #      - the string of BillMonth
      #
      def enum(string)
        return BillMonth.const_get(string)
      end

      #
      # Returns the value of the BillMonth.
      #
      #  @return the value of BillMonth.
      #

      def isAvailable(string)
        if(string == "JANUARY")
          return "JANUARY"
        elsif(string == "FEBRURARY")
          return "FEBRURARY"
        elsif(string == "MARCH")
          return "MARCH"
        elsif(string == "APRIL")
          return "APRIL"
        elsif(string == "MAY")
          return "MAY"
        elsif(string == "JUNE")
          return "JUNE"
        elsif(string == "JULY")
          return "JULY"
        elsif(string == "AUGUST")
          return "AUGUST"
        elsif(string == "SEPTEMBER")
          return "SEPTEMBER"
        elsif(string == "OCTOBER")
          return "OCTOBER"
        elsif(string == "NOVEMBER")
          return "NOVEMBER"
        elsif(string == "DECEMBER")
          return "DECEMBER";
        else
          return nil
        end
      end

    end
  end
end
