require 'App42Response.rb'

module App42
  module AppTab
    class PackageData  < App42Response
      attr_accessor :name, :duration, :currency, :packageList, :description, :price, :storageData, :bandwidthData, :featureData
      @name
      @duration
      @currency
      @description
      @price
      @storageData
      @bandwidthData
      @featureData
      @packageList = Array.new()
      def getJSONObject
        obj = Hash.new()
        obj.store("name", self.name);
        obj.store("duration", self.duration);
        obj.store("currency", self.currency);
        obj.store("description", self.description);
        return obj;
      end
    end

    class FeatureData
      attr_accessor :description, :price, :name
      @description
      @price
      @name
      def initialize(fea)
        fea.featureData = (self)
      end
    end

    class BandwidthData
      attr_accessor :name, :usage, :unit, :description, :price, :limitBandwidth
      @name
      @usage
      @unit
      @description
      @price
      @limitBandwidth
      def initialize(band)
        band.bandwidthData = (self)
      end
    end

    class LimitBandwidth
      attr_accessor :bandwidth, :unit, :price
      @bandwidth
      @unit
      @price
      def initialize(lim)
        lim.limitBandwidth = (self)
      end
    end

    class StorageData
      attr_accessor :space, :unit, :name, :description, :price, :limitStorage
      @space
      @unit
      @limitStorage
      @name
      @description
      @price
      def initialize(stor)
        stor.storageData = (self)
      end
    end

    class LimitStorage
      attr_accessor :space, :unit, :price
      @space
      @unit
      @price
      def initialize(lim)
        lim.limitStorage = (self)
      end
    end

  end
end