# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Queue object is the value object which contains the properties of Queue
# along with the setter & getter for those properties.
#
#

module App42
  module Message
    class Queue < App42Response
      attr_accessor  :messageList,:queueName,:queueType,:description
      @messageList = Array.new
      @queueName
      @queueType
      @description
    end

    class  Message
      attr_accessor  :correlationId,:payLoad,:messageId

      #
      # This is a constructor that takes no parameter
      #
      def initialize(queue)
        queue.messageList.push(self);
      end
      @correlationId
      @payLoad
      @messageId

      #
      # Returns the Queue Response in JSON format.
      #
      # @return the response in JSON format.
      #
      #

      def to_s
        return "correlationId : #{@correlationId}" + "payLoad : #{@payLoad}" + "messageId : #{@messageId}" ;
      end

    end
  end
end
