# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
# An enum that defines the type of the device to be uploaded on cloud.
#

module App42
  module Push
    class DeviceType < App42Response
      unless (const_defined?(:ANDROID))
        ANDROID = "ANDROID"
      end
      unless (const_defined?(:IOS))
        IOS = "iOS"
      end
      unless (const_defined?(:WP7))
        WP7 = "WP7"
      end

      #
      # Sets the value of the DeviceType.
      #
      # @param string
      #      - the string of DeviceType.
      #
      def enum(string)
        return DeviceType.const_get(string)
      end

      #
      # Returns the value of the DeviceType.
      #
      # @return the value of DeviceType.
      #

      def isAvailable(string)
        if(string == "ANDROID")
          return "ANDROID"
        elsif(string == "iOS")
          return "iOS"
        elsif(string == "WP7")
          return "WP7"
        elsif(string == "OTHER")
          return "OTHER";
        else
          return nil
        end
      end

    end
  end
end