# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'connection/RESTConnection.rb'
require 'util/util.rb'
require 'json/pure'

#
#
# This Session object is the value object which contains the properties of
# Session.
#
#

module App42
  module Session
    class Session < App42Response
      attr_accessor :userName, :sessionId,:createdOn,:invalidatedOn,:attributeList

      @userName
      @sessionId
      @createdOn
      @invalidatedOn
      @attributeList = Array.new()
    end

    class Attribute
      attr_accessor :name, :value
      @name
      @value

      #
      # This is a constructor that takes no parameter
      #
      #
      def initialize(session)
        session.attributeList.push(self)

      end
    end
  end
end