# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Storage object is the value object which contains the properties of
# Storage.
#
#

module App42
  module Storage
    class Storage < App42Response
      attr_accessor :dbName, :collectionName,:jsonDocList
      @dbName
      @collectionName
      @jsonDocList = Array.new
    end

    class JSONDocument
      attr_accessor :jsonDoc, :docId
      @jsonDoc
      @docId
      #
      # This create the constructor and takes no parameter.
      #
      def initialize(storage)
        storage.jsonDocList.push(self);
      end

      #
      # Returns the Storage Response in JSON format.
      #
      # @return the response in JSON format.
      #

      def to_s
        return "#{self.docId} :  #{self.jsonDoc}"
      end
    end
  end
end